--- sylpheed-0.4.62/src/compose.c.mimedecode	Tue Mar 13 23:19:55 2001
+++ sylpheed-0.4.62/src/compose.c	Thu Mar 15 23:46:30 2001
@@ -640,6 +640,15 @@
 	gtk_entry_append_text(entry, address);
 }
 
+static gchar *unmime_and_free(gchar *str)
+{
+	gchar tmp[BUFFSIZE];
+
+	conv_unmime_header(tmp, sizeof(tmp), str, NULL);
+	g_free(str);
+	return g_strdup(tmp);
+}
+
 static gint compose_parse_header(Compose *compose, MsgInfo *msginfo)
 {
 	static HeaderEntry hentry[] = {{"Reply-To:",	NULL, TRUE},
@@ -669,11 +678,11 @@
 	fclose(fp);
 
 	if (hentry[H_REPLY_TO].body != NULL) {
-		compose->replyto = hentry[H_REPLY_TO].body;
+		compose->replyto = unmime_and_free(hentry[H_REPLY_TO].body);
 		hentry[H_REPLY_TO].body = NULL;
 	}
 	if (hentry[H_CC].body != NULL) {
-		compose->cc = hentry[H_CC].body;
+		compose->cc = unmime_and_free(hentry[H_CC].body);
 		hentry[H_CC].body = NULL;
 	}
 	if (hentry[H_REFERENCES].body != NULL) {
@@ -696,7 +705,7 @@
 	}
 	if (hentry[H_BCC].body != NULL) {
 		if (compose->mode == COMPOSE_REEDIT_DRAFT)
-			compose->bcc = hentry[H_BCC].body;
+			compose->bcc = unmime_and_free(hentry[H_BCC].body);
 		else
 			g_free(hentry[H_BCC].body);
 		hentry[H_BCC].body = NULL;
@@ -706,7 +715,8 @@
 		hentry[H_NEWSGROUPS].body = NULL;
 	}
 	if (hentry[H_FOLLOWUP_TO].body != NULL) {
-		compose->followup_to = hentry[H_FOLLOWUP_TO].body;
+		compose->followup_to =
+			unmime_and_free(hentry[H_FOLLOWUP_TO].body);
 		hentry[H_FOLLOWUP_TO].body = NULL;
 	}
 
